summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/backup_copy/root-image.old_can_be_delted/root/LinHES-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/archiso-19/mythvantage/backup_copy/root-image.old_can_be_delted/root/LinHES-install.sh')
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/backup_copy/root-image.old_can_be_delted/root/LinHES-install.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/backup_copy/root-image.old_can_be_delted/root/LinHES-install.sh b/build_tools/archiso-19/mythvantage/backup_copy/root-image.old_can_be_delted/root/LinHES-install.sh
new file mode 100755
index 0000000..2b0cdb2
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/backup_copy/root-image.old_can_be_delted/root/LinHES-install.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+#redirect stderr to stdout, then rediret stdout to file
+. /etc/profile
+exec 2>&1
+exec > /tmp/mythvantage_install.log
+#/usr/bin/nvidia-settings -a InitialPixmapPlacement=2
+#keylaunch &
+#/usr/bin/tilda &
+#/usr/X11R6/bin/unclutter -root -idle 0 -jitter 400 -noevents &
+export MALLOC_CHECK_=0
+
+WM="e16 -P /usr/share/wm_data/e16_config_dir/"
+$WM &
+pid=$!
+
+xset s off
+xset -dpms
+xhost +
+xdotool mousemove 0 0
+
+cp -f /etc/keylaunchrc /root/.keylaunchrc
+/usr/bin/keylaunch &
+
+
+CMDLINE=$(cat /proc/cmdline)
+echo $CMDLINE |grep -q nfsroot
+NFSROOT=$?
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
+then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
+
+#show the readme
+MythVantage -r
+
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage -L &
+else
+ NETBOOT=YES MythVantage &
+fi
+
+
+wait $pid
+
+